com.sun.source.tree

## Interface MethodInvocationTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface MethodInvocationTree
    extends ExpressionTree

A tree node for a method invocation expression. For example:

       identifier ( arguments )

       this . typeArguments identifier ( arguments )

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 15.12"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`List<? extends ExpressionTree>` `getArguments()`
`ExpressionTree` `getMethodSelect()`
`List<? extends Tree>` `getTypeArguments()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getTypeArguments

    List<? extends Tree> getTypeArguments()

#### getMethodSelect

    ExpressionTree getMethodSelect()

#### getArguments

    List<? extends ExpressionTree> getArguments()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.